### Struct

# PangoOT Buffer

#### Description

    struct PangoOTBuffer {
      /* No available fields */
    }

No description available.

#### Constructors

###### pango_ot_buffer_new

Creates a new `PangoOTBuffer` for the given OpenType font.

since: 1.4

#### Instance methods

###### pango_ot_buffer_add_glyph

Appends a glyph to a `PangoOTBuffer`, with `properties` identifying which features should be applied on this glyph.

since: 1.4

###### pango_ot_buffer_clear

Empties a `PangoOTBuffer`, make it ready to add glyphs to.

since: 1.4

###### pango_ot_buffer_destroy

Destroys a `PangoOTBuffer` and free all associated memory.

since: 1.4

###### pango_ot_buffer_get_glyphs

Gets the glyph array contained in a `PangoOTBuffer`.

since: 1.4

###### pango_ot_buffer_output

Exports the glyphs in a `PangoOTBuffer` into a `PangoGlyphString`.

since: 1.4

###### pango_ot_buffer_set_rtl

Sets whether glyphs will be rendered right-to-left.

since: 1.4

###### pango_ot_buffer_set_zero_width_marks

Sets whether characters with a mark class should be forced to zero width.

since: 1.6